/* threatmatePool.cc
 */
#include "osl/brinkmate/threatmatePool.h"
#include "osl/record/csa.h"
#include <iostream>

osl::brinkmate::
ThreatmatePool::ThreatmatePool()
{
}

osl::brinkmate::
ThreatmatePool::~ThreatmatePool()
{
}
      
void osl::brinkmate::
ThreatmatePool::add(Move move, Position king)
{
  vector_t& m = moves[king.index()];
  if (std::find(m.begin(), m.end(), move) == m.end())
    m.push_back(move);
}

void osl::brinkmate::
ThreatmatePool::show() const
{
  for (int i=0; i<Position::SIZE; ++i)
  {
    const vector_t& v = moves[i];
    if (v.empty())
      continue;
    std::cerr << Position::nth(i) << "\t";
    for (vector_t::const_iterator p=v.begin(); p!=v.end(); ++p)
    {
      std::cerr << " " << record::csa::show(*p);
    }
    std::cerr << "\n";
  }
}

/* ------------------------------------------------------------------------- */
// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
