/* oracleDisprover.cc
 */
#include "osl/checkmate/oracleDisprover.h"
#include "osl/checkmate/oracleDisprover.tcc"
#include "osl/checkmate/simpleCheckHashTable.h"
#include "osl/checkmate/dominanceTable.h"
#include "osl/state/hashEffectState.h"

namespace osl
{
  namespace checkmate
  {
    // explicit template instantiation
#ifdef CHECKMATE_TABLE_ALL
    template class OracleDisprover<SimpleCheckHashTable>;
#endif
    template class OracleDisprover<DominanceTable>;
  }
}

/* ------------------------------------------------------------------------- */
// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
