/* bookPlayer.h
 */
#ifndef GAME_PLAYING_BOOKPLAYER_H
#define GAME_PLAYING_BOOKPLAYER_H

#include "osl/game_playing/computerPlayer.h"

namespace osl
{
  namespace game_playing
  {
    class OpeningBookTracer;
    /**
     * פ֤פȤComputerPlayer
     */
    class BookPlayer : public ComputerPlayer
    {
      boost::scoped_ptr<OpeningBookTracer> book;
      boost::scoped_ptr<ComputerPlayer> searcher;
      int book_limit;
      int current_moves;
    public:
      /** ͭž: new ΤϤ */
      BookPlayer(OpeningBookTracer*, ComputerPlayer*);
      ~BookPlayer();
      ComputerPlayer* clone() const;

      /** ޤפȤ. -1 ʤ̵ */
      void setBookLimit(int new_limit);

      void pushMove(Move m);
      void popMove();
      const MoveWithComment selectBestMove(const GameState&, int seconds, int elapsed,
					int byoyomi);

      void allowSpeculativeSearch(bool value);
      bool bookAvailable() const;
    };

  } // namespace game_playing
} // namespace osl


#endif /* GAME_PLAYING_BOOKPLAYER_H */
// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
