/* slist.h
 */
#ifndef SLIST_H
#define SLIST_H

#include "osl/stl/pool_allocator.h"
#include <ext/slist>

namespace osl
{
  namespace stl
  {
    /**
     * pool_allocator Ȥ slist Υå
     */
    template <class T>
    struct slist : __gnu_cxx::slist<T,pool_allocator<T> >
    {
      slist() {}
      slist(const slist&);
      ~slist();
    };
    template <class T>
    slist<T>::slist(const slist& src) : __gnu_cxx::slist<T,pool_allocator<T> >(src)
    {
    }
    template <class T>
    slist<T>::~slist()
    {
    }
  } // namespace stl
  using stl::slist;
} // namespace stl


#endif /* SLIST_H */
// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
