/* problems.h
 */
#ifndef _PROBLEMS_H
#define _PROBLEMS_H

#include "osl/move.h"

namespace osl
{
  struct Problem
  {
    enum { MaxExpected = 8 };
    const char *state;
    const char *expected[MaxExpected];
    bool acceptable(Move) const;
  };

  // 1ǲ򤱤Ȼפ
  extern const Problem problems1[];
  extern const int numProblems1;

  // 3ǲ򤱤Ȼפ ...
  extern const Problem problems3[];
  extern const int numProblems3;
}

#endif /* _PROBLEMS_H */
// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
